%define upstream_name HTTP_WebDAV_Server
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)
%define		prerel				RC8

Name: 		php-pear-%{upstream_name}
Version:     	1.0.0
# NB we have to keep 3 here for smooth upgrade from MGA3 -> 4
# Remove when the version is next bumped or RC status is complete
Release:     	%mkrel 3.%{prerel}.6
Summary:    	WebDAV Server Baseclass
License: 	New BSD License
Group: 		Development/PHP
Source0: 	http://pear.php.net/get/HTTP_WebDAV_Server-%{version}%{prerel}.tgz
URL: 		http://pear.php.net/package/HTTP_WebDAV_Server
BuildRequires: 	php-pear >= 1.4.7
BuildArch: 	noarch
Epoch:		1

%description
RFC2518 compliant helper class for WebDAV server implementation.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

mv %{buildroot}/docs .


# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/HTTP_WebDAV_Server.xml

%post
pear install --nodeps --soft --force --register-only %{xmldir}/HTTP_WebDAV_Server.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.php.net/HTTP_WebDAV_Server
fi

%files
%doc docs/HTTP_WebDAV_Server/*
%{peardir}/*
%{xmldir}/HTTP_WebDAV_Server.xml


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 1:1.0.0-3.RC8.6.mga8
+ Revision: 1499031
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 1:1.0.0-3.RC8.5.mga7
+ Revision: 1273245
- Mageia 7 Mass Rebuild

* Mon Feb 08 2016 umeabot <umeabot> 1:1.0.0-3.RC8.4.mga6
+ Revision: 943237
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1:1.0.0-3.RC8.3.mga5
+ Revision: 748949
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1:1.0.0-3.RC8.2.mga5
+ Revision: 687302
- Mageia 5 Mass Rebuild

* Mon Jan 27 2014 colin <colin> 1:1.0.0-3.RC8.1.mga4
+ Revision: 568427
- Fix version mga#12451

* Sat Oct 19 2013 umeabot <umeabot> 1:1.0.0RC8-2.mga4
+ Revision: 528038
- Mageia 4 Mass Rebuild

* Sat Jun 15 2013 spuhler <spuhler> 1:1.0.0RC8-1.mga4
+ Revision: 443240
- upgrade to version 1.0.0RC8

* Sun Jan 13 2013 umeabot <umeabot> 1:1.0.0-2.mga3
+ Revision: 376353
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jul 29 2012 spuhler <spuhler> 1:1.0.0-1.mga3
+ Revision: 275574
- added Epoch to make it build w/o the RC

* Sat Jul 28 2012 spuhler <spuhler> 1.0.0RC7-1.mga3
+ Revision: 275505
- upgrade to 1.0.0RC7
- bumped to released

* Mon Jan 23 2012 spuhler <spuhler> 1.0.0RC6-1.mga2
+ Revision: 200042
- upgrade to 1.0.0RC6
  pearized spec file

* Mon Jan 17 2011 spuhler <spuhler> 0.99.1-13.mga1
+ Revision: 20890
- removed buildroot definition from .spec
  commented the if mdkversion lines
- imported package php-pear-HTTP_WebDAV_Server


* Fri Dec 03 2010 Oden Eriksson <oeriksson@mandriva.com> 0.99.1-13mdv2011.0
+ Revision: 607112
- rebuild

* Sat Dec 12 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.99.1-12mdv2010.1
+ Revision: 477902
- spec cleanup
- use pear installer
- don't ship tests, even in documentation
- own all directories
- use rpm filetriggers starting from mandriva 2010.1

* Thu Sep 03 2009 Christophe Fergeau <cfergeau@mandriva.com> 0.99.1-11mdv2010.0
+ Revision: 426648
- rebuild

* Wed Dec 31 2008 Oden Eriksson <oeriksson@mandriva.com> 0.99.1-10mdv2009.1
+ Revision: 321870
- rebuild

* Wed Jun 18 2008 Thierry Vignaud <tv@mandriva.org> 0.99.1-9mdv2009.0
+ Revision: 224749
- rebuild

* Tue Mar 04 2008 Oden Eriksson <oeriksson@mandriva.com> 0.99.1-8mdv2008.1
+ Revision: 178519
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Sat Nov 11 2006 Oden Eriksson <oeriksson@mandriva.com> 0.99.1-7mdv2007.0
+ Revision: 81885
- Import php-pear-HTTP_WebDAV_Server

* Fri Feb 10 2006 Oden Eriksson <oeriksson@mandriva.com> 0.99.1-7mdk
- new group (Development/PHP)

* Fri Aug 26 2005 Oden Eriksson <oeriksson@mandriva.com> 0.99.1-6mdk
- rebuilt to fix auto deps

* Wed Aug 10 2005 Oden Eriksson <oeriksson@mandriva.com> 0.99.1-5mdk
- rebuilt to use new pear auto deps/reqs from pld

* Sun Jul 31 2005 Oden Eriksson <oeriksson@mandriva.com> 0.99.1-4mdk
- fix deps

* Thu Jul 21 2005 Oden Eriksson <oeriksson@mandriva.com> 0.99.1-3mdk
- reworked the %%post and %%preun stuff, like in conectiva
- fix deps

* Wed Jul 20 2005 Oden Eriksson <oeriksson@mandriva.com> 0.99.1-2mdk
- fix deps

* Tue Jul 19 2005 Oden Eriksson <oeriksson@mandriva.com> 0.99.1-1mdk
- initial Mandriva package (PLD import)

